petsc-3.10.5 2019-03-28
Report Typos and Errors

# VecAXPY

Computes y = alpha x + y.

### Synopsis

    #include "petscvec.h"
    PetscErrorCode  VecAXPY(Vec y,PetscScalar alpha,Vec x)

Logically Collective on Vec

### Input Parameters

| alpha | - the scalar
| x, y | - the vectors

### Output Parameter

y -output vector

### Notes

x and y MUST be different vectors

### See Also

VecAYPX(), VecMAXPY(), VecWAXPY()

### Level

intermediate

### Location

src/vec/vec/interface/rvector.c

### Examples

src/vec/vec/examples/tutorials/ex1.c.html
src/vec/vec/examples/tutorials/ex1f.F90.html
src/vec/vec/examples/tutorials/ex1f90.F90.html
src/vec/vec/examples/tutorials/ex20f90.F90.html
src/mat/examples/tutorials/ex2.c.html
src/mat/examples/tutorials/ex9.c.html
src/dm/examples/tutorials/ex10.c.html
src/dm/examples/tutorials/ex15.c.html
src/ksp/pc/examples/tutorials/ex3.c.html
src/ksp/ksp/examples/tutorials/ex1.c.html
src/ksp/ksp/examples/tutorials/ex2.c.html

### Implementations

VecAXPY_Nest in src/vec/vec/impls/nest/vecnest.c
VecAXPY_Seq in src/vec/vec/impls/seq/bvec1.c
VecAXPY_SeqCUDA in src/vec/vec/impls/seq/seqcuda/veccuda2.cu
VecAXPY_SeqViennaCL in src/vec/vec/impls/seq/seqviennacl/vecviennacl.cxx
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages